Bug 6932 - AttributesTag does not have a getValue() method
Summary: AttributesTag does not have a getValue() method
Status: CLOSED FIXED
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Page Taglib (show other bugs)
Version: 1.0B1
Hardware: PC other
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-06 19:14 UTC by Ron Durham
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ron Durham 2002-03-06 19:14:26 UTC
This code should iterate through ALL Page Scope Attributes and print out both 
the name (attribute id) and the value associated with it. 

<page:attributes id="loop">
   Name: <jsp:getProperty name="loop" property="name"/>
   Value: <jsp:getProperty name="loop" property="value"/>
</page:attributes>

The AttributesTag Tag class is stored as the "loop" object in the Session.
    public final int doStartTag() throws JspException {
        ...

	pageContext.setAttribute(id,this);
    }


But the AttributesTag class does not have the getValue() method to retrieve the 
value from.
Comment 1 Glenn Nielsen 2002-04-04 18:51:50 UTC
Thanks for reporting this.  It has been fixed and will be in the next nightly
build.